commit:     c93b5f25e91c4b773cedb8d8d9cb7978e12a6f67
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 21:19:37 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Aug 15 22:43:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c93b5f25

app-accessibility/at-spi2-core: version bump 2.22.1 → 2.24.1

Package-Manager: Portage-2.3.7, Repoman-2.3.3

 app-accessibility/at-spi2-core/Manifest            |  1 +
 .../at-spi2-core/at-spi2-core-2.24.1.ebuild        | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/app-accessibility/at-spi2-core/Manifest 
b/app-accessibility/at-spi2-core/Manifest
index bb590ccfbe7..2bf0dc170d8 100644
--- a/app-accessibility/at-spi2-core/Manifest
+++ b/app-accessibility/at-spi2-core/Manifest
@@ -1 +1,2 @@
 DIST at-spi2-core-2.22.1.tar.xz 454048 SHA256 
6f8f39f091bfe2c57870cb8bfbb02edac4fc85cda69665e6967937daf7201c42 SHA512 
2376b57ce744351ed09a13cd02f0c02264c0998860710cfcdac59f0efb78061512986f5d7305a2f6c594d70213722f81795620e8cd2c6587c6d3f1335477171f
 WHIRLPOOL 
a3bd869b286e7fd974242c5846d219c9be3b5fb4322f7bd82f9c039cd032bbfc0917e2e54dc900283eb13a1bba14906eec3f2ef9d9b3caae1aef6bdce24fe3be
+DIST at-spi2-core-2.24.1.tar.xz 452440 SHA256 
1e90d064b937aacfe79a96232ac7e63d28d716e85bd9ff4333f865305a959b5b SHA512 
e7f354a90204f12d4e464a6b4e4cb27141af3715d7c5ec253bdd2ebe65bc7d191ae7b775c45470a1bd1fe2c0accdd4e84feeb5e1eb1a6c05f3e5e734371027be
 WHIRLPOOL 
3a3d47b49ea5be77458b325cc23405153859251052dd1b123d38b5953e3dd5d6896959703ca7941baed8a3d9ca9194183a12459f88fb6d580cee364258303291

diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.24.1.ebuild 
b/app-accessibility/at-spi2-core/at-spi2-core-2.24.1.ebuild
new file mode 100644
index 00000000000..7a3aed29161
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.24.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="https://wiki.gnome.org/Accessibility";
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="X +introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+RDEPEND="
+       >=dev-libs/glib-2.36:2[${MULTILIB_USEDEP}]
+       >=sys-apps/dbus-1[${MULTILIB_USEDEP}]
+       x11-libs/libSM[${MULTILIB_USEDEP}]
+       x11-libs/libXi[${MULTILIB_USEDEP}]
+       x11-libs/libXtst[${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-0.9.6:= )
+       X? (
+               x11-libs/libX11[${MULTILIB_USEDEP}]
+               x11-libs/libXi[${MULTILIB_USEDEP}]
+               x11-libs/libXtst[${MULTILIB_USEDEP}]
+       )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.9
+       >=dev-util/intltool-0.40
+       sys-devel/gettext
+       virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+PATCHES=(
+       # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+       "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+)
+
+multilib_src_configure() {
+       # xevie is deprecated/broken since xorg-1.6/1.7
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               --disable-xevie \
+               $(multilib_native_use_enable introspection) \
+               $(use_enable X x11)
+
+       # work-around gtk-doc out-of-source brokedness
+       if multilib_is_native_abi; then
+               ln -s "${S}"/doc/libatspi/html doc/libatspi/html || die
+       fi
+}
+
+multilib_src_compile() { gnome2_src_compile; }
+multilib_src_install() { gnome2_src_install; }

Reply via email to